<section class="weather-app">
  <div class="container">
    <h1 class="primary-title">Weather App</h1>
    <p></p>
    <form action="/weather" method="POST">
      <input type="text" name="location" placeholder="Location" />
      <button id="search">Search</button>
    </form>
  </div>
  <hr />
  <div class="container weatherapp" id="weatherapp">
    <div class="card card-1">
      <div id="demo" class="carousel slide" data-ride="carousel">
        <!-- Indicators -->
        <ul class="carousel-indicators">
          <li data-target="#demo" data-slide-to="0" class="active"></li>
          <li data-target="#demo" data-slide-to="1"></li>
          <li data-target="#demo" data-slide-to="2"></li>
        </ul>
        <!-- The slideshow -->
        <div class="carousel-inner">
          <div class="carousel-item active">
            <div class="row">
              <div class="col-6">
                <div class="temp">{{ temps.now }}&deg;<div style="font-size: 30px;">{{ mainWeather }}</div></div>
                <div class="location" id="location">{{ location }}, {{ country }}</div>
              </div> 
              <div class="col-6 justify-content-right">
                <img
                  class="img-fluid"
                  src={{ lookup weatherImages mainWeather }}
                />
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="card card-2">
      <div id="demo" class="carousel slide" data-ride="carousel">
        <!-- Indicators -->
        <ul class="carousel-indicators">
          <li data-target="#demo" data-slide-to="0"></li>
          <li data-target="#demo" data-slide-to="1" class="active"></li>
          <li data-target="#demo" data-slide-to="2"></li>
        </ul>
        <!-- The slideshow -->
        <div class="carousel-inner">
          <div class="carousel-item active">
            <div class="row">
              <div class="col">
                <div class="row row1">{{ hourly.0.temp }}&deg;</div>
                <div class="row row2"><img
                    class="img-fluid"
                    src={{ lookup weatherImages hourly.0.weather.0.main }}
                  /></div>
                <div class="row row3">12:00</div>
                <div class="row row4">AM</div>
              </div>
              <div class="col">
                <div class="row row1">{{ hourly.5.temp }}&deg;</div>
                <div class="row row2"><img
                    class="img-fluid"
                    src={{ lookup weatherImages hourly.5.weather.0.main }}
                  /></div>
                <div class="row row3">5:00</div>
                <div class="row row4">AM</div>
              </div>
              <div class="col">
                <div class="row row1">{{ hourly.12.temp }}&deg;</div>
                <div class="row row2"><img
                    class="img-fluid"
                    src={{ lookup weatherImages hourly.12.weather.0.main }}
                  /></div>
                <div class="row row3">12:00</div>
                <div class="row row4">PM</div>
              </div>
              <div class="col">
                <div class="row row1">{{ hourly.17.temp }}&deg;</div>
                <div class="row row2"><img
                    class="img-fluid"
                    src={{ lookup weatherImages hourly.17.weather.0.main }}
                  /></div>
                <div class="row row3">5:00</div>
                <div class="row row4">PM</div>
              </div>
              <div class="col">
                <div class="row row1">{{ hourly.22.temp }}&deg;</div>
                <div class="row row2"><img
                    class="img-fluid"
                    src={{ lookup weatherImages hourly.22.weather.0.main }}
                  /></div>
                <div class="row row3">10:00</div>
                <div class="row row4">PM</div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="card card-3">
      <div id="demo" class="carousel slide" data-ride="carousel">
        <!-- Indicators -->
        <ul class="carousel-indicators">
          <li data-target="#demo" data-slide-to="0"></li>
          <li data-target="#demo" data-slide-to="1"></li>
          <li data-target="#demo" data-slide-to="2" class="active"></li>
        </ul>
        <!-- The slideshow -->
        <div class="carousel-inner">
          <div class="carousel-item active">
            <div class="row">
              <div class="col">
                <div class="row row1">{{ daily.0.temp.day }}&deg;</div>
                <div class="row row2"><img
                    class="img-fluid"
                    src={{ lookup weatherImages daily.0.weather.0.main }}
                  /></div>
                <div class="row row3">Mon</div>
              </div>
              <div class="col">
                <div class="row row1">{{ daily.1.temp.day }}&deg;</div>
                <div class="row row2"><img
                    class="img-fluid"
                    src={{ lookup weatherImages daily.1.weather.0.main }}
                  /></div>
                <div class="row row3">Tue</div>
              </div>
              <div class="col">
                <div class="row row1">{{ daily.2.temp.day }}&deg;</div>
                <div class="row row2"><img
                    class="img-fluid"
                    src={{ lookup weatherImages daily.2.weather.0.main }}
                  /></div>
                <div class="row row3">Wed</div>
              </div>
              <div class="col">
                <div class="row row1">{{ daily.3.temp.day }}&deg;</div>
                <div class="row row2"><img
                    class="img-fluid"
                    src={{ lookup weatherImages daily.3.weather.0.main }}
                  /></div>
                <div class="row row3">Thu</div>
              </div>
              <div class="col">
                <div class="row row1">{{ daily.4.temp.day }}&deg;</div>
                <div class="row row2"><img
                    class="img-fluid"
                    src={{ lookup weatherImages daily.4.weather.0.main }}
                  /></div>
                <div class="row row3">Fri</div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>

<script src="/js/weather.js"></script>